MergePolicy.MergeException (Lucene 2.4.1 API)
Keywords: org.apache.lucene.index.MergePolicy.MergeException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class MergePolicy.MergeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.lucene.index.MergePolicy.MergeException

All Implemented Interfaces:
  Serializable

Enclosing class:
  MergePolicy

    public static class MergePolicy.MergeException

extends RuntimeException

Exception thrown if there are any problems while executing a merge.

See Also:
  Serialized Form

Constructor Summary
`MergePolicy.MergeException(String message)` Deprecated. Use `MergePolicy.MergeException(String,Directory)` instead
`MergePolicy.MergeException(String message, Directory dir)`
`MergePolicy.MergeException(Throwable exc)` Deprecated. Use `MergePolicy.MergeException(Throwable,Directory)` instead
`MergePolicy.MergeException(Throwable exc, Directory dir)`

Method Summary
`Directory` | `getDirectory()` Returns the `Directory` of the index that hit the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MergePolicy.MergeException

    public MergePolicy.MergeException(String message)

  Deprecated. Use `MergePolicy.MergeException(String,Directory)` instead

### MergePolicy.MergeException

    public MergePolicy.MergeException(String message,
                                      Directory dir)

### MergePolicy.MergeException

    public MergePolicy.MergeException(Throwable exc)

  Deprecated. Use `MergePolicy.MergeException(Throwable,Directory)` instead

### MergePolicy.MergeException

    public MergePolicy.MergeException(Throwable exc,
                                      Directory dir)

Method Detail

### getDirectory

    public Directory getDirectory()

  Returns the `Directory` of the index that hit the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.